# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.6)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.20)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget FortranCommon FortranEvaluate FortranDecimal FortranLower FortranParser FortranSemantics flangFrontend flangFrontendTool FIROptimizer f18 flang-new tco f18-parse-demo fir-opt FortranRuntime)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target FortranCommon
add_library(FortranCommon STATIC IMPORTED)

set_target_properties(FortranCommon PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM"
)

# Create imported target FortranEvaluate
add_library(FortranEvaluate STATIC IMPORTED)

set_target_properties(FortranEvaluate PROPERTIES
  INTERFACE_LINK_LIBRARIES "FortranCommon;FortranDecimal;FortranParser;LLVM"
)

# Create imported target FortranDecimal
add_library(FortranDecimal STATIC IMPORTED)

set_target_properties(FortranDecimal PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM"
)

# Create imported target FortranLower
add_library(FortranLower STATIC IMPORTED)

set_target_properties(FortranLower PROPERTIES
  INTERFACE_LINK_LIBRARIES "FIROptimizer;MLIRAffine;MLIRAffineTransforms;MLIRAffineUtils;MLIRArmNeon;MLIRArmSVE;MLIRArmSVETransforms;MLIRAsync;MLIRAsyncTransforms;MLIRAMX;MLIRAMXTransforms;MLIRComplex;MLIRDLTI;MLIREmitC;MLIRGPUOps;MLIRGPUTransforms;MLIRLinalgAnalysis;MLIRLinalg;MLIRLinalgTransforms;MLIRLinalgUtils;MLIRLLVMIRTransforms;MLIRLLVMIR;MLIRNVVMIR;MLIRROCDLIR;MLIRMath;MLIRMathTransforms;MLIRMemRef;MLIRMemRefTransforms;MLIRMemRefUtils;MLIROpenACC;MLIROpenMP;MLIRPDL;MLIRPDLInterp;MLIRQuant;MLIRSCF;MLIRSCFTransforms;MLIRShape;MLIRShapeOpsTransforms;MLIRSparseTensor;MLIRSparseTensorTransforms;MLIRSparseTensorUtils;MLIRSPIRV;MLIRSPIRVModuleCombiner;MLIRSPIRVConversion;MLIRSPIRVTransforms;MLIRSPIRVUtils;MLIRStandard;MLIRStandardOpsTransforms;MLIRTensor;MLIRTensorTransforms;MLIRTosa;MLIRTosaTransforms;MLIRVector;MLIRX86Vector;MLIRX86VectorTransforms;FortranCommon;FortranParser;FortranEvaluate;FortranSemantics;MLIRAffineToStandard;MLIRLLVMIR;MLIRSCFToStandard;MLIRStandard;LLVM"
)

# Create imported target FortranParser
add_library(FortranParser STATIC IMPORTED)

set_target_properties(FortranParser PROPERTIES
  INTERFACE_LINK_LIBRARIES "FortranCommon;LLVM"
)

# Create imported target FortranSemantics
add_library(FortranSemantics STATIC IMPORTED)

set_target_properties(FortranSemantics PROPERTIES
  INTERFACE_LINK_LIBRARIES "FortranCommon;FortranParser;FortranEvaluate;LLVM"
)

# Create imported target flangFrontend
add_library(flangFrontend STATIC IMPORTED)

set_target_properties(flangFrontend PROPERTIES
  INTERFACE_LINK_LIBRARIES "FortranParser;FortranSemantics;FortranEvaluate;FortranCommon;FortranLower;clangBasic;clangDriver;LLVM"
)

# Create imported target flangFrontendTool
add_library(flangFrontendTool STATIC IMPORTED)

set_target_properties(flangFrontendTool PROPERTIES
  INTERFACE_LINK_LIBRARIES "flangFrontend;clangBasic;clangDriver;LLVM"
)

# Create imported target FIROptimizer
add_library(FIROptimizer STATIC IMPORTED)

set_target_properties(FIROptimizer PROPERTIES
  INTERFACE_LINK_LIBRARIES "MLIRAffine;MLIRAffineTransforms;MLIRAffineUtils;MLIRArmNeon;MLIRArmSVE;MLIRArmSVETransforms;MLIRAsync;MLIRAsyncTransforms;MLIRAMX;MLIRAMXTransforms;MLIRComplex;MLIRDLTI;MLIREmitC;MLIRGPUOps;MLIRGPUTransforms;MLIRLinalgAnalysis;MLIRLinalg;MLIRLinalgTransforms;MLIRLinalgUtils;MLIRLLVMIRTransforms;MLIRLLVMIR;MLIRNVVMIR;MLIRROCDLIR;MLIRMath;MLIRMathTransforms;MLIRMemRef;MLIRMemRefTransforms;MLIRMemRefUtils;MLIROpenACC;MLIROpenMP;MLIRPDL;MLIRPDLInterp;MLIRQuant;MLIRSCF;MLIRSCFTransforms;MLIRShape;MLIRShapeOpsTransforms;MLIRSparseTensor;MLIRSparseTensorTransforms;MLIRSparseTensorUtils;MLIRSPIRV;MLIRSPIRVModuleCombiner;MLIRSPIRVConversion;MLIRSPIRVTransforms;MLIRSPIRVUtils;MLIRStandard;MLIRStandardOpsTransforms;MLIRTensor;MLIRTensorTransforms;MLIRTosa;MLIRTosaTransforms;MLIRVector;MLIRX86Vector;MLIRX86VectorTransforms;MLIRLLVMToLLVMIRTranslation;MLIRTargetLLVMIRExport;LLVM"
)

# Create imported target f18
add_executable(f18 IMPORTED)

# Create imported target flang-new
add_executable(flang-new IMPORTED)

# Create imported target tco
add_executable(tco IMPORTED)

# Create imported target f18-parse-demo
add_executable(f18-parse-demo IMPORTED)

# Create imported target fir-opt
add_executable(fir-opt IMPORTED)

# Create imported target FortranRuntime
add_library(FortranRuntime STATIC IMPORTED)

set_target_properties(FortranRuntime PROPERTIES
  INTERFACE_LINK_LIBRARIES "FortranDecimal;LLVM"
)

if(CMAKE_VERSION VERSION_LESS 2.8.12)
  message(FATAL_ERROR "This file relies on consumers using CMake 2.8.12 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/FlangTargets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# Make sure the targets which have been exported in some other
# export set exist.
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
foreach(_target "LLVM" "MLIRAffine" "MLIRAffineTransforms" "MLIRAffineUtils" "MLIRArmNeon" "MLIRArmSVE" "MLIRArmSVETransforms" "MLIRAsync" "MLIRAsyncTransforms" "MLIRAMX" "MLIRAMXTransforms" "MLIRComplex" "MLIRDLTI" "MLIREmitC" "MLIRGPUOps" "MLIRGPUTransforms" "MLIRLinalgAnalysis" "MLIRLinalg" "MLIRLinalgTransforms" "MLIRLinalgUtils" "MLIRLLVMIRTransforms" "MLIRLLVMIR" "MLIRNVVMIR" "MLIRROCDLIR" "MLIRMath" "MLIRMathTransforms" "MLIRMemRef" "MLIRMemRefTransforms" "MLIRMemRefUtils" "MLIROpenACC" "MLIROpenMP" "MLIRPDL" "MLIRPDLInterp" "MLIRQuant" "MLIRSCF" "MLIRSCFTransforms" "MLIRShape" "MLIRShapeOpsTransforms" "MLIRSparseTensor" "MLIRSparseTensorTransforms" "MLIRSparseTensorUtils" "MLIRSPIRV" "MLIRSPIRVModuleCombiner" "MLIRSPIRVConversion" "MLIRSPIRVTransforms" "MLIRSPIRVUtils" "MLIRStandard" "MLIRStandardOpsTransforms" "MLIRTensor" "MLIRTensorTransforms" "MLIRTosa" "MLIRTosaTransforms" "MLIRVector" "MLIRX86Vector" "MLIRX86VectorTransforms" "MLIRAffineToStandard" "MLIRSCFToStandard" "clangBasic" "clangDriver" "MLIRLLVMToLLVMIRTranslation" "MLIRTargetLLVMIRExport" )
  if(NOT TARGET "${_target}" )
    set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets "${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets} ${_target}")
  endif()
endforeach()

if(DEFINED ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
  if(CMAKE_FIND_PACKAGE_NAME)
    set( ${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
    set( ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  else()
    message(FATAL_ERROR "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  endif()
endif()
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
